spring:
  jpa:
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        dialect: org.hibernate.dialect.H2Dialect
        show-sql: true
        jdbc:
          time_zone: UTC

  jackson:
    serialization:
      fail-on-empty-beans: false

  datasource:
    #    url: jdbc:postgresql://127.0.0.1:5432/app_dev
    #    username: app_dev
    #    password: e1bc9e7f864d
    #    driver-class-name: org.postgresql.Driver
    url: jdbc:h2:mem:db;DB_CLOSE_DELAY=-1
    username: sa
    password: sa
    driver-class-name: org.h2.Driver
  flyway:
    baseline-on-migrate: false
    locations: classpath:db/migration
    schemas: public
    enabled: false
    url: jdbc:postgresql://localhost:5432/drone-service?useSSL=false&useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC
    user: postgres
    password: flints11
  h2:
    console:
      enabled: true
security:
  basic:
    enabled: false


job:
  cron:
    fivesec: 0/5 * * * * *   # 5 sec
    oneam: 0 0 0 * * ?  # 1 am every day